求帮忙eclipse与jdk的冲突-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

求帮忙eclipse与jdk的冲突

2016-06-08 15:36:37 1551 1

我先安装的JDK1.7,之后安装的eclipse,但是eclipse启动不了,产生如下图所示警告。请大神指点???如有会的,请在下面告诉我怎样做???或者发邮件(1347647937@qq.com)给我!!!再一次感谢!!!
screenshot

取消 提交回答
全部回答(1)
  • 爵霸
    2019-07-17 19:32:05

    eclipse 版本要和jdk的版本一样,上面你说是使用64bit的jdk,但你默认的jdk是32位的(根据你错误提示中的(x86)目录猜测——你自己使用 cmd java -version看是否为32bit的),所以不行。

    32bit操作系统 只能安装 32bit的JDK和32bit的eclipse

    64bit操作系统 要么安装(32bit的JDK和32bit的eclipse) 要么安装(64bit的JDK和64bit的eclipse),如你即安装32bit的JDK有安装64bit的JDK,这时eclipse的32bit不一定可以运行,eclpse的64bit也不一定可以运行,需要看你的操作系统默认的jdk是那个,可以使用cmd java -version 查看,只有和默认的jdk对用的eclipse可以运行,如果不想改默认的jdk,可以修改eclipse下面的eclipse.ini文件修改,修改方式自己Google。

    0 0
相关问答

1

回答

eclipse中自带有jdk,但是为什么运行eclipse时没有先安装jdk会报错?报错

2020-06-09 11:09:06 495浏览量 回答数 1

0

回答

Eclipse打不开报错:Error:could not find java SE Runtime

2021-10-28 09:33:19 348浏览量 回答数 0

1

回答

ubuntu 系统下怎么用 eclipse 的内置浏览器啊? -linux报错

2020-05-30 10:41:45 407浏览量 回答数 1

1

回答

eclipse转intellij idea -java报错

2020-05-30 11:16:25 299浏览量 回答数 1

1

回答

eclipse 打包apk的时候,总是报错 400 请求报错

2020-05-29 19:17:19 323浏览量 回答数 1

1

回答

Eclipse+ADT+Android环境配置问题 - 安卓报错

2020-05-29 21:17:10 295浏览量 回答数 1

1

回答

eclipse 中调试 android 应用时的 logcat 出现问题-安卓报错

2020-05-29 22:27:16 317浏览量 回答数 1

1

回答

LUA在ECLIPSE CDT MINGW 动态编译配置 - 服务报错

2020-05-29 23:37:34 381浏览量 回答数 1

1

回答

打开Eclipse提示“The default workspace “xxxx” --java报错

2020-05-28 16:32:10 412浏览量 回答数 1

1

回答

eclipse软件中java编程两个一样的代码为什么会报错?

2020-05-27 16:27:55 449浏览量 回答数 1
+关注
文章
问答
问答排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载